﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="BPMNShapes.aspx.cs" Inherits="WebApplication2.BPMNShapes" %>


<%@ Register Assembly="Syncfusion.EJ.Web" Namespace="Syncfusion.JavaScript" TagPrefix="ej" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="ej/default-theme/ej.widgets.all.min.css" rel="stylesheet" />
    <script src="scripts/jquery-1.10.2.min.js"></script>
    <script src="Scripts/jquery.easing.1.3.min.js"></script>
    <script src="Scripts/jquery.globalize.min.js"></script>
    <script src="Scripts/ej.web.all.min.js"></script>
    <script type="text/javascript">          
    </script>
</head>
<body>
    <style>
        .control_section
        {
            height: 600px;
            width: 100%;
        }

        .diagram_section
        {
            width: 720px;
            height: 100%;
            float: left;
        }

        .middle_section
        {
            float: left;
            width: 5px;
            height: 100%;
        }

        .symPalette_section
        {
            width: 240px;
            height: 100%;
            float: left;
        }

        body
        {
            font-family: Segoe UI;
            font-size: 14px;
            width: calc(100% - 15px);
            height: calc(100% - 16px);
        }

        .cont_tble_hdr1
        {
            background-color: #B0C4DE;
            color: white;
            font-size: 17px;
            font-variant: small-caps;
            font-weight: 600;
            min-height: 30px;
            text-align: center;
            border: 1px dashed white;
            width: 100%;
            -webkit-user-select: none; /* Chrome/Safari */
            -moz-user-select: none; /* Firefox */
            -ms-user-select: none; /* IE10+ */
            /* Rules below not implemented in browsers yet */
            -o-user-select: none;
            user-select: none;
        }

        .cont_tble_hdr2
        {
            font-size: 14px;
            font-variant: small-caps;
            margin-left: 10px;
            color: GrayText;
            font-weight: 600;
            -webkit-user-select: none; /* Chrome/Safari */
            -moz-user-select: none; /* Firefox */
            -ms-user-select: none; /* IE10+ */
            /* Rules below not implemented in browsers yet */
            -o-user-select: none;
            user-select: none;
        }

        .cont_tble_table
        {
            color: graytext;
            line-height: 30px;
            margin-left: 10px;
            width: calc(100% - 10px);
        }

        .cont_tble_table_prop
        {
            font-size: 14px;
            vertical-align: top;
            width: 110px;
        }

        .Bttn_prop
        {
            width: 115px;
        }
    </style>
    <form id="form1" runat="server">
        <div class="control_section">
            <div class="symPalette_section">
                <ej:SymbolPalette ID="symbolpalette" runat="server">
                </ej:SymbolPalette>
            </div>
            <div class="middle_section"></div>
            <div class="diagram_section">
                <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
                <ej:Diagram ID="DiagramContent" runat="server" Height="500px" Width="500px">
                </ej:Diagram>
            </div>
            <div style="height: 100%; width: 300px; float: left;background-color:lightblue">
                <div class="cont_tble_hdr2">Header Properties</div>
                <table class="cont_tble_table">
                    <tr>
                        <td class="cont_tble_table_prop">Fill Color</td>
                        <td>
                            <select id="fillColor" class="hdr_header_color_change">
                                <option value="#B0BF1A">Acid green</option>
                                <option value="#7CB9E8">Aero</option>
                                <option value="#AF002A">Alabama crimson</option>
                                <option value="Almond">Almond</option>
                                <option value="#E52B50">Amaranth</option>
                                <option value="#008000">Ao (English)</option>
                                <option value="#007FFF">Azure</option>
                                <option value="#E0218A">Barbie pink</option>
                                <option value="#A57164">Blast-off bronze</option>
                                <option value="#A52A2A">Brown (web)</option>
                                <option value="#91A3B0">Cadet grey</option>
                                <option value="#DFFF00">Chartreuse (traditional)</option>
                            </select>
                        </td>
                    </tr>
                     <tr>
                        <td class="cont_tble_table_prop">Font Color</td>
                        <td>
                            <select id="fontColor" class="hdr_header_color_change">
                                <option value="#B0BF1A">Acid green</option>
                                <option value="#7CB9E8">Aero</option>
                                <option value="#AF002A">Alabama crimson</option>
                                <option value="Almond">Almond</option>
                                <option value="#E52B50">Amaranth</option>
                                <option value="#008000">Ao (English)</option>
                                <option value="#007FFF">Azure</option>
                                <option value="#E0218A">Barbie pink</option>
                                <option value="#A57164">Blast-off bronze</option>
                                <option value="#A52A2A">Brown (web)</option>
                                <option value="#91A3B0">Cadet grey</option>
                                <option value="#DFFF00">Chartreuse (traditional)</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td class="cont_tble_table_prop">Font Family</td>
                        <td>
                            <select id="fontFamily" class="hdr_header_family_change">
                                <option value="sans-serif">sans-serif</option>
                                <option value="Georgia">Georgia</option>
                                <option value="Courier New">Courier New</option>
                                <option value="Webdings ">Webdings </option>
                                <option value="Arial">Arial</option>
                                <option value="Comic Sans MS">Comic Sans MS</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td class="cont_tble_table_prop">Font Size</td>
                        <td>
                            <select id="fontSize" class="hdr_header_size_change">
                                <option value="10">10</option>
                                <option value="11">11</option>
                                <option value="12">12</option>
                                <option value="13">13</option>
                                <option value="14">14</option>
                                <option value="15">15</option>
                                <option value="16">16</option>
                                <option value="17">17</option>
                                <option value="18">18</option>
                                <option value="19">19</option>
                                <option value="20">20</option>
                                <option value="21">21</option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                        <td class="cont_tble_table_prop">Font Style</td>
                        <td>
                            <input type="checkbox" id="bold"  />Bold
                        <br />
                            <input type="checkbox" id="italic"  />Italic
                        </td>
                    </tr>
                    <tr>
                        <td>

                        </td>
                        <td>
                            <input type="button" value="Update" onclick="updateValue(this)"/>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
    </form>
    <script>
        function updateValue(args) {
            var diagram = $("#DiagramContent").ejDiagram("instance");
            if (diagram.model.selectedItems.children.length > 0) {
                for (var i = 0; i < diagram.model.selectedItems.children.length; i++) {
                    object = diagram.getNode(diagram.model.selectedItems.children[i].name);
                    if (object.isSwimlane || object.isLane) {
                        var header = object.header;
                        header.fillColor = document.getElementById("fillColor").value;;
                        header.fontFamily = document.getElementById("fontFamily").value;
                        header.fontSize = document.getElementById("fontSize").value;
                        header.bold = document.getElementById("bold").checked;
                        header.fontColor = document.getElementById("fontColor").value;
                        header.italic = document.getElementById("italic").checked;
                        diagram.updateNode(object.name, { header: header });
                    }
                    else if (diagram.getObjectType(object) == 'node') { // A node or a text object

                    } else { // Must be a connector
                        if (object.labels[0]) {
                            diagram.updateLabel(object.name, object.labels[0], { fontColor: color });
                        }
                    }
                }
            }
        }

    </script>
</body>
</html>

